com.genesyslab.wfm8.API.service.config800

## Class CfgValidationHolder

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config800.CfgValidationHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgValidationHolder
      extends java.lang.Object
      implements java.io.Serializable

  Contains Configuration Object validation messages. Is returned as a response to Configuration Object modification requets.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<CfgValidationMsg>` | `errorArray` An array of error messages
    `protected int` | `errorArrayNSizeIs` Number of elements in errorArray array
    `protected int` | `objectID` An ID of object that was modified/created
    `private static long` | `serialVersionUID`
    `protected boolean` | `success` Operation succeeded, and Object was modified (true/false)
    `protected java.util.List<CfgValidationMsg>` | `warningArray` An array of warning messages
    `protected int` | `warningArrayNSizeIs` Number of elements in warningArray array

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgValidationHolder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<CfgValidationMsg>` | `getErrorArray()` Gets the value of the errorArray property.
    `int` | `getErrorArrayNSizeIs()` Gets the value of the errorArrayNSizeIs property.
    `int` | `getObjectID()` Gets the value of the objectID property.
    `java.util.List<CfgValidationMsg>` | `getWarningArray()` Gets the value of the warningArray property.
    `int` | `getWarningArrayNSizeIs()` Gets the value of the warningArrayNSizeIs property.
    `int` | `hashCode()`
    `boolean` | `isSuccess()` Gets the value of the success property.
    `void` | `setErrorArray(java.util.List<CfgValidationMsg> errorArray)` Sets the value of the errorArray property.
    `void` | `setErrorArrayNSizeIs(int value)` Sets the value of the errorArrayNSizeIs property.
    `void` | `setObjectID(int value)` Sets the value of the objectID property.
    `void` | `setSuccess(boolean value)` Sets the value of the success property.
    `void` | `setWarningArray(java.util.List<CfgValidationMsg> warningArray)` Sets the value of the warningArray property.
    `void` | `setWarningArrayNSizeIs(int value)` Sets the value of the warningArrayNSizeIs property.
    `java.lang.String` | `toString()`
    `CfgValidationHolder` | `withErrorArray(CfgValidationMsg... values)`
    `CfgValidationHolder` | `withErrorArray(java.util.Collection<CfgValidationMsg> values)`
    `CfgValidationHolder` | `withErrorArrayNSizeIs(int value)`
    `CfgValidationHolder` | `withObjectID(int value)`
    `CfgValidationHolder` | `withSuccess(boolean value)`
    `CfgValidationHolder` | `withWarningArray(CfgValidationMsg... values)`
    `CfgValidationHolder` | `withWarningArray(java.util.Collection<CfgValidationMsg> values)`
    `CfgValidationHolder` | `withWarningArrayNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### success

          protected boolean success

      Operation succeeded, and Object was modified (true/false)

    - #### warningArrayNSizeIs

          protected int warningArrayNSizeIs

      Number of elements in warningArray array

    - #### warningArray

          protected java.util.List<CfgValidationMsg> warningArray

      An array of warning messages

    - #### errorArrayNSizeIs

          protected int errorArrayNSizeIs

      Number of elements in errorArray array

    - #### errorArray

          protected java.util.List<CfgValidationMsg> errorArray

      An array of error messages

    - #### objectID

          protected int objectID

      An ID of object that was modified/created

  - ### Constructor Detail

    - #### CfgValidationHolder

          public CfgValidationHolder()

  - ### Method Detail

    - #### isSuccess

          public boolean isSuccess()

      Gets the value of the success property.

    - #### setSuccess

          public void setSuccess(boolean value)

      Sets the value of the success property.

    - #### getWarningArrayNSizeIs

          public int getWarningArrayNSizeIs()

      Gets the value of the warningArrayNSizeIs property.

    - #### setWarningArrayNSizeIs

          public void setWarningArrayNSizeIs(int value)

      Sets the value of the warningArrayNSizeIs property.

    - #### getWarningArray

          public java.util.List<CfgValidationMsg> getWarningArray()

      Gets the value of the warningArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the warningArray property.

      For example, to add a new item, do as follows:

              getWarningArray().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgValidationMsg`

    - #### getErrorArrayNSizeIs

          public int getErrorArrayNSizeIs()

      Gets the value of the errorArrayNSizeIs property.

    - #### setErrorArrayNSizeIs

          public void setErrorArrayNSizeIs(int value)

      Sets the value of the errorArrayNSizeIs property.

    - #### getErrorArray

          public java.util.List<CfgValidationMsg> getErrorArray()

      Gets the value of the errorArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the errorArray property.

      For example, to add a new item, do as follows:

              getErrorArray().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgValidationMsg`

    - #### getObjectID

          public int getObjectID()

      Gets the value of the objectID property.

    - #### setObjectID

          public void setObjectID(int value)

      Sets the value of the objectID property.

    - #### withSuccess

          public CfgValidationHolder withSuccess(boolean value)

    - #### withWarningArrayNSizeIs

          public CfgValidationHolder withWarningArrayNSizeIs(int value)

    - #### withWarningArray

          public CfgValidationHolder withWarningArray(CfgValidationMsg... values)

    - #### withWarningArray

          public CfgValidationHolder withWarningArray(java.util.Collection<CfgValidationMsg> values)

    - #### withErrorArrayNSizeIs

          public CfgValidationHolder withErrorArrayNSizeIs(int value)

    - #### withErrorArray

          public CfgValidationHolder withErrorArray(CfgValidationMsg... values)

    - #### withErrorArray

          public CfgValidationHolder withErrorArray(java.util.Collection<CfgValidationMsg> values)

    - #### withObjectID

          public CfgValidationHolder withObjectID(int value)

    - #### setWarningArray

          public void setWarningArray(java.util.List<CfgValidationMsg> warningArray)

      Sets the value of the warningArray property.
      Parameters:
        `warningArray` - allowed object is `CfgValidationMsg`

    - #### setErrorArray

          public void setErrorArray(java.util.List<CfgValidationMsg> errorArray)

      Sets the value of the errorArray property.
      Parameters:
        `errorArray` - allowed object is `CfgValidationMsg`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.